# openapi.model.ImportAssetDto

## Load the model package
```dart
import 'package:openapi/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**assetPath** | **String** |  | 
**deviceAssetId** | **String** |  | 
**deviceId** | **String** |  | 
**duration** | **String** |  | [optional] 
**fileCreatedAt** | [**DateTime**](DateTime.md) |  | 
**fileModifiedAt** | [**DateTime**](DateTime.md) |  | 
**isArchived** | **bool** |  | [optional] 
**isExternal** | **bool** |  | [optional] 
**isFavorite** | **bool** |  | 
**isOffline** | **bool** |  | [optional] 
**isReadOnly** | **bool** |  | [optional] [default to true]
**isVisible** | **bool** |  | [optional] 
**libraryId** | **String** |  | [optional] 
**sidecarPath** | **String** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


